/*
 * Segment 2 (KEx), SWE LMS-TIC3
 * Copyright (C) 2016 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lmstic3.empfang.dekoder;

import java.io.File;
import java.util.List;

import org.junit.Assert;

import de.bsvrz.kex.lmstic3.empfang.ftpempfang.FTPEmpfang;
import de.bsvrz.kex.lmstic3.vew.LMSFTPListener;
import de.bsvrz.kex.lmstic3.vew.LMSKommunikationsstatus;
import de.bsvrz.kex.lmstic3.vew.LMSParameter;

/**
 * Testcase f&uuml;r das Modul FTP-Empfang.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 */
public class TestFTPEmpfang implements LMSFTPListener {

	/**
	 * Testmethode.
	 */
	// @Test
	public void testFTPEmpfang() {
		final LMSParameter lmsParameter = new LMSParameter();
		lmsParameter.setEingangsVerzeichnis("/tmp/");

		final FTPEmpfang ftpserver = new FTPEmpfang(lmsParameter);
		ftpserver.addListener(this);
		try {
			Thread.sleep(300000);
		} catch (final InterruptedException e) {
			Assert.fail(e.getMessage());
		}
	}

	@Override
	public void empfangen(final List<File> dateien) {
		System.out.println("Empfangen: " + dateien);
	}

	@Override
	public void kommunikationsStatus(final LMSKommunikationsstatus status) {
		// TODO Auto-generated method stub
	}

	@Override
	public void versendet(final List<File> dateien, final LMSKommunikationsstatus status) {
		// TODO Auto-generated method stub
	}
}
